#ifndef GAME_WINDOW_H
#define GAME_WINDOW_H

#ifdef __cplusplus
extern "C" {
#endif

#include "app.h"

#include <gtk/gtk.h>

#define GAME_WINDOW_TYPE ( game_window_get_type() )
G_DECLARE_FINAL_TYPE( GameWindow,
	game_window, GAME, WINDOW, GtkWindow );

GameWindow* game_window_new( GameApp* app );
void game_window_button_press( GameWindow* window, int pin );

#ifdef __cplusplus
}
#endif

#endif
